Bug 251855 - xpdf looses ability to edit zoom scales
Summary: xpdf looses ability to edit zoom scales
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xpdf   
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-12 18:05 UTC by Michal Jaegermann
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 3.02-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-04 22:13:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2007-08-12 18:05:27 UTC
Description of problem:

In xpdf-3.01 and earlier there was a popup list of predefined
zooms but it was possible also to edit your own values (a window
left of "down arrow" was editable).  Somehow this ability was
lost with 3.02 packages.  Makes my wife mildly unhappy. :-)
Yes, I know about '-z' but this is not really the same and
a gap between 200% and 400% is substantial.

Any idea why this happened?  Nothing obvious at the first look
and the same sources recompiled on CentOS installation still allow
these edits.  Some widget?  There is no "down arrow" on that list
anymore but a rectangular "push button".  Still 3.01 was using mostly
the same libraries even if CentOS has openmotif instead of lesstif.
I tried changing some configuration options but without visible
effects.

Version-Release number of selected component (if applicable):
xpdf-3.02-2.fc7

Comment 1 Michal Jaegermann 2007-08-12 20:10:01 UTC
Oh, I see. In XPDFViewer.h

#if (XmVERSION >= 2 && !defined(LESSTIF_VERSION))
#  define USE_COMBO_BOX 1
#else
#  undef USE_COMBO_BOX
#endif

and COMBO_BOX is not in use replaced with a button. So this looks
like lesstif "improvements".  Bummer!

In such case dropping in that gap between 200% and 400% at least
250% and 300% would be nice.  Like that:
--- ./XPDFViewer.cc~    2007-08-12 13:59:57.000000000 -0600
+++ ./XPDFViewer.cc     2007-08-12 14:03:16.000000000 -0600
@@ -140,6 +140,8 @@ struct ZoomMenuInfo {

 static ZoomMenuInfo zoomMenuInfo[nZoomMenuItems] = {
   { "400%",      400 },
+  { "300%",      300 },
+  { "250%",      250 },
   { "200%",      200 },
   { "150%",      150 },
   { "125%",      125 },

Some other values on that list, like 25% and 12.5% seem to be
awfully small.

Comment 2 Fedora Update System 2007-08-29 17:27:17 UTC
xpdf-3.02-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2007-09-04 22:13:40 UTC
xpdf-3.02-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.